{
  config,
  lib,
  pkgs,
  inputs,
  stylix,
  ...
}: 
let
  theme-name = "gruvbox-dark-medium";
  theme = "${pkgs.base16-schemes}/share/themes/${theme-name}.yaml";
  wallpaper = ./wallpaper.jpg;
  # wallpaper = pkgs.runCommand "image.png" {} ''
  #       COLOR=$(${pkgs.yq}/bin/yq -r .base00 ${theme})
  #       COLOR="#"$COLOR
  #       ${pkgs.imagemagick}/bin/magick convert -size 1920x1080 xc:$COLOR $out
  # '';
in {
  stylix = {
    image = wallpaper;
    # polarity = "light";
    # base16Scheme = "${pkgs.base16-schemes}/share/themes/gruvbox-dark-hard.yaml";
    base16Scheme = theme;

    fonts = {
      monospace = {
        package = pkgs.mononoki;
        name = "Mononoki Nerd Font";
      };
      emoji = {
        package = pkgs.noto-fonts-emoji;
        name = "Noto Color Emoji";
      };
      serif = config.stylix.fonts.monospace;
      sansSerif = config.stylix.fonts.monospace;
    };
  };

  services.random-background = {
    enable = true;
    imageDirectory = "${wallpaper}";
  };

  programs.zellij.enable = true;
  programs.rofi.enable = true;

  home.pointerCursor = {
    name = lib.mkForce "phinger-cursors-light";
    package = lib.mkForce pkgs.phinger-cursors;
    size = lib.mkForce 32;
    gtk.enable = lib.mkForce true;
  };

  # config.services.xserver.desktopManager.wallpaper = ./wallpaper.jpg;
}
